### Class

# Clutter TextureContent

#### Description

    final class Clutter.TextureContent : GObject.Object
      implements Clutter.Content {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Implements

- ClutterContent

#### Functions

###### clutter_texture_content_new_from_texture

Creates a new `ClutterTextureContent` instance for `texture`, taking an internal reference to `texture`.

#### Instance methods

###### clutter_texture_content_get_texture

Retrieves a pointer to the `CoglTexture` used by `texture_content`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from ClutterContent (3)

###### clutter_content_get_preferred_size

Retrieves the natural size of the `content`, if any.

###### clutter_content_invalidate

Invalidates a `ClutterContent`.

###### clutter_content_invalidate_size

Signals that `content`‘s size changed. Attached actors with request mode set to `CLUTTER_REQUEST_CONTENT_SIZE` will have a relayout queued.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from ClutterContent (2)

###### ClutterContent::attached

This signal is emitted each time a `ClutterContent` implementation is assigned to a `ClutterActor`.

###### ClutterContent::detached

This signal is emitted each time a `ClutterContent` implementation is removed from a `ClutterActor`.

#### Class structure

    struct ClutterTextureContentClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.